> For the complete documentation index, see [llms.txt](https://docs.evt.land/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.evt.land/api.md).

# API Documentation

- [Evt\<T>](https://docs.evt.land/api/evt.md): Evt\<T> is the Class that is the equivalent of EventEmitter in "events" and Subject\<T> in "rxjs"
- [Async iterator](https://docs.evt.land/api/evt/async-iterator.md)
- [evt.attach\*(...)](https://docs.evt.land/api/evt/attach.md): Attach a Handler provided with a callback function to the Evt
- [evt.post\*(data)](https://docs.evt.land/api/evt/post.md)
- [evt.waitFor(...)](https://docs.evt.land/api/evt/waitfor.md)
- [evt.evt\[Attach|Detach\]](https://docs.evt.land/api/evt/evtattachdetach.md)
- [evt.pipe(...)](https://docs.evt.land/api/evt/pipe.md): An alternative to compose for chaining operaors.
- [evt.getHandlers()](https://docs.evt.land/api/evt/gethandler.md)
- [evt.isHandled(data)](https://docs.evt.land/api/evt/ishandled.md)
- [evt.detach(ctx?)](https://docs.evt.land/api/evt/detach.md): Similar to EventEmitter.prototype.removeListener()
- [evt.enableTrace(...)](https://docs.evt.land/api/evt/enabletrace.md)
- [evt.setMaxHandlers(n)](https://docs.evt.land/api/evt/setmaxhandlers.md)
- [toStateful(initialState)](https://docs.evt.land/api/evt/tostateful.md)
- [evt.getStatelessOp(op)](https://docs.evt.land/api/evt/getstatelessop.md)
- [Evt.create(initalState?)](https://docs.evt.land/api/evt/create.md): Static method to instanciate an Evt or a StatefulEvt.
- [Evt.newCtx\<T>()](https://docs.evt.land/api/evt/newctx.md): Get a new instance of Ctx
- [Evt.getCtx(object)](https://docs.evt.land/api/evt/getctx.md): A way to avoid having to create a ctx variable.
- [Evt.from\<T>(...)](https://docs.evt.land/api/evt/from.md)
- [Evt.merge(\[ evt1, evt2, ... \])](https://docs.evt.land/api/evt/merge.md)
- [Evt.loosenType(evt)](https://docs.evt.land/api/evt/loosentype.md)
- [Evt.factorize(evt)](https://docs.evt.land/api/evt/factorize.md)
- [Evt.asPostable(evt)](https://docs.evt.land/api/evt/aspostable.md): Cast the passed event as portable.
- [Evt.asNonPostable(evt)](https://docs.evt.land/api/evt/asnonpostable.md)
- [Evt.setDefaultMaxHandlers(n)](https://docs.evt.land/api/evt/setdefaultmaxhandlers.md)
- [Ctx\<T>](https://docs.evt.land/api/ctx.md)
- [Operator\<T, U> (type)](https://docs.evt.land/api/operator.md): Operators provide a way to transform events data before they are passed to the callback.
- [StatefulEvt\<T>](https://docs.evt.land/api/statefulevt.md)
- [Helper types](https://docs.evt.land/api/helpertypes.md)
- [Handler\<T, U> (type)](https://docs.evt.land/api/handler.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.evt.land/api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
